# /bin/sh
#
# /etc/rc.d/rc.S:  System initialization script.
#
PATH=/sbin:/usr/sbin:/bin:/usr/bin
mount -v proc /proc -n -t proc
mount -v tmpfs /dev -n -t tmpfs
/bin/cp -af /etc/tmp/dev/* /dev/

#The system didn't shut down clearly
#The filesystem should be checked
if [ -f /.autofsck ];then 
   /sbin/fsck.ext2 -fy /dev/sda1
   rc=$?
   if [ "$rc" -eq "2" -o "$rc" -eq "3" ];then
      umount -a
      mount -n -o remount,ro /
      reboot -f 
   fi
fi

READWRITE=no
mount -w -v -n -o remount,noatime / 
#echo "tmpfs / tmpfs rw 0 0">/etc/mtab &
echo "/dev/sda1 / ext2  rw 0 0">/etc/mtab &
#> /etc/mtab
#mount -f proc /proc -t proc  &
#mount -f sysfs /sys -t sysfs &

mount -v tmpfs /tmp -n -t tmpfs
#Create a system crash indicator flag.
touch /.autofsck &> /dev/null

#Rain add @ 08/04/07
#Set sys time before desktop startup
#[ -x /sbin/hwclock ] && /sbin/hwclock --hctosys &
/sbin/hwclock --hctosys &
#/usr/bin/xkb_plugin_set_xorg.sh
#while true
#do 
#if [ ! -e /tmp/.X11-unix/X0 ];then 
#   echo noX
#   /usr/bin/xinit -- -br>/dev/null 2>&1 &
#   sleep 1
#else 
#   echo "X ok"
#   break 
#fi
#done

/etc/rc.d/rc.last &

while true
do
  pid=
  pid=`pidof hald`
  if [ "X${pid}" != "X" ];then
     /usr/bin/xinit -- -br>/dev/null 2>&1 &
     break
  fi
  sleep 1 
done
