#! /bin/sh
HOME=/home/user
USER=user
PATH=$PATH:/sbin:/usr/sbin
PATH_TO_SESSIONS=/tmp/.ICE-unix

mkdir $HOME/.config/xfce4/panel -p
mkdir $HOME/.config/xfce4/mcs_settings -p

SESSIONS=`ls $PATH_TO_SESSIONS`
for PID in $SESSIONS; do 
   if [ `ls -l $PATH_TO_SESSIONS | grep $USER | grep $PID | wc -l` -eq 1 ]; then
      export SESSION_MANAGER=local/unix:@$PATH_TO_SESSIONS/$PID,unix/unix:$PATH_TO_SESSIONS/$PID			
      break;
   fi
done

killall -s TERM -w xfce4-panel
if [ -f /usr/bin/xfce-mcs-manager.new ];then
   sudo mv /usr/bin/xfce-mcs-manager.new /usr/bin/xfce-mcs-manager
fi

###################

if [ -e $HOME/.desktop ]; then
   sudo /bin/cp -f /etc/rc.d/session/xfce4-session.rc.new /etc/xdg/xfce4-session/xfce4-session.rc
   sudo /bin/cp -f $HOME/.config/xfce4/panel/panels.xml /etc/rc.d/session/panels.xml.desktop
   sudo /bin/cp -f $HOME/.config/xfce4/mcs_settings/desktop.xml /etc/rc.d/session/desktop.xml.desktop
   sudo -u $USER /bin/cp -f /etc/rc.d/session/panels.xml.new $HOME/.config/xfce4/panel/panels.xml
   sudo -u $USER /bin/cp -f /etc/rc.d/session/desktop.xml.new $HOME/.config/xfce4/mcs_settings/desktop.xml
   sudo -u user rm -f $HOME/.desktop
   killall -s TERM -w xfdesktop-xfce
   pkill -USR1 -f xfce-mcs-manager
   /usr/bin/xfdesktopnew & >/dev/null 2>&1
   /usr/share/search-bar/start-search_bar.sh &
else
   sudo /bin/cp -f /etc/rc.d/session/xfce4-session.rc.desktop /etc/xdg/xfce4-session/xfce4-session.rc
   sudo /bin/cp -f $HOME/.config/xfce4/panel/panels.xml /etc/rc.d/session/panels.xml.new
   sudo /bin/cp -f $HOME/.config/xfce4/mcs_settings/desktop.xml /etc/rc.d/session/desktop.xml.new
   sudo -u $USER /bin/cp -f /etc/rc.d/session/panels.xml.desktop $HOME/.config/xfce4/panel/panels.xml
   sudo -u $USER /bin/cp -f /etc/rc.d/session/desktop.xml.desktop $HOME/.config/xfce4/mcs_settings/desktop.xml
   sudo -u user touch $HOME/.desktop
   killall -s TERM -w xfdesktop2
   killall -s TERM -w acer-search-desktop
   pkill -USR1 -f xfce-mcs-manager 
   /usr/bin/xfdesktopnew-xfce & >/dev/null 2>&1
fi

###################

xfce4-panel &
/usr/bin/kpowersave &

if [ -f /usr/bin/xfce-mcs-manager ];then
   sudo  mv /usr/bin/xfce-mcs-manager /usr/bin/xfce-mcs-manager.new
fi

